#!/usr/bin/env python
#
# Copyright 2012 Daniel Francis <francis@sugarlabs.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.
#

import sys
import os
name = os.path.split(sys.argv[0])[-1]
os.environ['DATADIR'] = '/usr/share/%s' % name
os.environ['PROGRAMRUNNING'] = 'DESKTOP'
os.environ['ICONDIR'] = '/usr/share/%s/icons' % name
os.environ['TRANSLATIONDIR'] = '/usr/share/locale'
os.environ['INFO_L10N'] = '1'
os.system('python /usr/share/%s/application.py %s' % (name,
                        ('"%s"' % sys.argv[1]) if len(sys.argv) > 1 else ''))
