#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2012 S. Daniel Francis <francis@sugarlabs.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

import sys
import os
os.environ['INFO_L10N'] = '0'
appdir = os.path.abspath('./')
sys.path.append(appdir)
import info

file_content = '<?xml version="1.0"?>\n'
file_content +=\
 " <mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>\n"
file_content += ' <mime-type type="%s">\n' % info.file_filter_mime
file_content += '  <comment>%s</comment>\n' % info.file_filter_name
for i in info.file_filter_patterns:
    file_content += '  <glob pattern="%s" />\n' % i
file_content += ' </mime-type>\n</mime-info>\n'

file = open('mimetypes.xml', 'w')
file.write(file_content)
file.close()
